#!/usr/bin/perl

# author: Kevin K.M. Chiu
#       Cobalt Microservers
# version: 1.0
# date: 7-4-98
#
# Copyright 1998-1999, Cobalt Networks, Inc
# All rights reserved

use CGI;
use Cobalt::Product;
use Cobalt::Vsite;
use Cobalt::Locale;

# global variables
my $siteListScriptPath="$AdminCGIs_dir/siteList/siteList.cgi";

my $q=new CGI;
$group = $q->param( 'nic' );
my $groupName ||= $group;

my $locale=Cobalt::Locale->getByHTTPHeader( $ENV{ 'HTTP_ACCEPT_LANGUAGE' } );
if( $locale ) { $ENV{ 'LANGUAGE' }=$locale->getLocale(); }

# No group specified or group does not exist.  IE sucks.
unless ($groupName && Cobalt::Vsite::vsite_get_bygroup($groupName)) {
    require $siteListScriptPath;
}

my $info;
if ($info = site_del($group)) {
    $info = '<IMG SRC="/.cobalt/images/bang.gif" ALIGN=CENTER>' . $info;
    $ENV{ PARAM_INFO }=$info;
    require $siteListScriptPath;
    delete $ENV{ PARAM_INFO };
} else {
    require $siteListScriptPath;
}
1;
